@import url('https://fonts.googleapis.com/css2?family=ABeeZee:ital@0;1&family=Bebas+Neue&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
:root {
    --font-family-poppins: "Poppins", sans-serif;
    --font-family-abeezee: "ABeeZee", sans-serif;
    --font-family-bebas: "Bebas Neue", system-ui;
    --color-primary: #8851f7;
    --color-secondary: #62aff7;
    --color-tertiary: #a506f8;
    --color-yellow: #f9e055;
    --color-white: #FFFFFF;
    --color-black: #151619;
    --color-gray-100: #FAF9FF;
    --color-gray-200: #F8F8F9;
    --color-gray-300: #E6E5EA;
    --color-gray-400: #DEDFE3;
    --color-gray-500: #D1D1D1;
    --color-gray-600: #C0C2C9;
    --color-gray-700: #979AA6;
    --color-gray-800: #5E616E;
    --color-gray-900: #36383F;
    --color-gray-1000: #222222;
    --max-width-container: 1920px;
    --max-width-content: 1140px;
    --max-width-tablet: 1024px;
    --max-width-mobile: 767px;
    --min-width-screen: 320px;
}


/* width */

::-webkit-scrollbar {
    width: 6px;
}


/* Track */

::-webkit-scrollbar-track {
    background: var(--color-gray-100);
}


/* Handle */

::-webkit-scrollbar-thumb {
    background: var(--color-primary);
}


/* Handle on hover */

::-webkit-scrollbar-thumb:hover {
    background: var(--color-primary);
}

* {
    margin: 0;
    padding: 0;
    outline: 0;
    border: none;
    box-sizing: border-box;
    text-decoration: none;
    -webkit-tap-highlight-color: transparent;
    -khtml-tap-highlight-color: transparent;
    -moz-tap-highlight-color: transparent;
    -ms-tap-highlight-color: transparent;
}

html {
    background-color: var(--color-white);
}

body {
    min-height: 100vh;
    overflow-x: hidden;
}

header,
section,
footer {
    width: 100%;
    max-width: var(--max-width-container);
    min-width: var(--max-width-screen);
}

h4.subtitle {
    color: var(--color-gray-1000);
    font-family: var(--font-family-bebas);
    font-weight: 400;
    letter-spacing: .5px;
}

h1.title {
    color: var(--color-primary);
    font-family: var(--font-family-bebas);
    font-size: 48px;
    line-height: 48px;
    font-weight: 400;
    text-align: center;
    max-width: 500px;
    margin: 20px 0;
}

section .container-cards {
    margin-top: 20px;
    gap: 20px;
    grid-template-columns: 1fr 1fr 1fr 1fr;
}

section .card {
    padding: 40px 25px;
    background-color: var(--color-white);
    width: 100%;
    transition: all ease-in .2s;
    cursor: default;
    border-radius: 4px;
}

section .card .icon {
    color: var(--color-primary);
    width: 60px;
    height: 60px;
    margin-bottom: 20px;
}

section .card .title {
    color: var(--color-gray-900);
    font-family: var(--font-family-bebas);
    font-size: 18px;
    font-weight: 400;
    letter-spacing: .6px;
    text-align: center;
    margin-bottom: 5px;
}

section .card .description {
    color: var(--color-gray-800);
    font-family: var(--font-family-poppins);
    font-size: 12px;
    font-weight: 400;
    text-align: center;
}

header {
    background-color: var(--color-white);
    box-shadow: 0 0 10px #979AA645;
    height: 0;
    overflow: auto;
}

nav {
    padding: 10px 20px;
}

.container {
    max-width: var(--max-width-container);
    margin-left: auto;
    margin-right: auto;
}

.content {
    max-width: var(--max-width-content);
    margin-left: auto;
    margin-right: auto;
}

.sticky {
    height: 60px;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 10;
}

body+.sticky {
    padding-top: 60px;
}

footer {
    position: relative;
    background-color: var(--color-primary);
    /* background-image: linear-gradient(to right bottom, var(--color-primary) 0%, var(--color-secondary) 25%, var(--color-secondary) 75%, var(--color-primary) 100%); */
}

footer::before {
    content: '';
    background-image: url(../assets/Logo\ Footer.svg);
    background-repeat: no-repeat;
    background-size: 60%;
    background-position: 120% -10%;
    opacity: 0.07;
    display: block;
    position: absolute;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    z-index: 0;
}

footer .container {
    padding: 80px 40px;
    z-index: 2;
    position: relative;
}

footer .container .content.grid {
    gap: 20px;
    grid-template-columns: repeat(4, 1fr);
    padding-bottom: 40px;
}

footer .container .content.grid .logo img {
    max-height: 100px;
}

footer .container .content.grid .subtitle {
    font-size: 20px;
    letter-spacing: 1;
    opacity: 0.7;
}

footer .container .content.grid ul {
    list-style-type: none;
    font-family: var(--font-family-poppins);
    font-size: 14px;
    color: var(--color-white);
}

footer .container .content.grid ul li {
    padding: 5px;
}

footer .container .content.grid ul li a {
    color: var(--color-white);
    transition: all 0.5s;
}

footer .container .content.grid ul li a:hover {
    color: var(--color-secondary);
}

footer .container .content.grid ul li a svg {
    height: 21px;
    width: 21px;
    margin-right: 5px;
}

footer .container .content.copyright {
    border-top: 1px solid #FFFFFF45;
    padding-top: 40px;
}

footer .container .content.copyright span {
    font-family: var(--font-family-poppins);
    font-size: 12px;
    line-height: 20px;
    color: var(--color-white);
}


/*  */

.grid {
    display: grid;
}

.flex {
    display: flex;
}

.row {
    flex-direction: column;
}

.column {
    flex-direction: row;
}

.justifyCenter {
    justify-content: center;
}

.justifyStart {
    justify-content: start;
}

.justifyEnd {
    justify-content: end;
}

.justifySpaceAround {
    justify-content: space-around;
}

.justifySpaceBetween {
    justify-content: space-between;
}

.justifySpaceEvenly {
    justify-content: space-evenly;
}

.alignCenter {
    align-items: center;
}

.alignStart {
    align-items: start;
}

.alignEnd {
    align-items: end;
}